<template>
  <v-container grid-list-md>
    <div v-for="mc in modulesCategories" :key="mc.id">
      <sl-vue-tree-component :modulesCategories="mc"></sl-vue-tree-component>
    </div>
  </v-container>
</template>
<script>
import SlVueTreeComponent from "./SlVueTreeComponent";
// import jsonConfig from "@/config-data/categories.json";
import jsonConfig from "@/config-data/config-products.json";
// import axios from "axios";
export default {
  components: {
    "sl-vue-tree-component": SlVueTreeComponent
  },
  created() {
    this.loadConfig();
  },
  data() {
    return {
      modulesCategories: [],
      jsonConfig
    };
  },
  methods: {
    loadConfig() {
      this.jsonConfig.forEach(el => {
        if (el.actif && el.afficheCat == true) {
          let moduleCategorie = {};
          moduleCategorie.slug = el.confCatSlug;
          moduleCategorie.libelle = el.confCatTitle;
          this.modulesCategories.push(moduleCategorie);
        }
      });
      console.log("modulesCategories", this.modulesCategories);
    }
  }
};
</script>
